Name:           abf-console-client
Version:        1.16
Release:        1
Summary:        Console client for ABF (https://abf.rosalinux.ru)
Group:          System/Configuration/Packaging
License:        GPLv2
URL:            http://wiki.rosalab.ru/en/index.php/ABF_Console_Client
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       python-abf >= %{version}-%{release}
Requires:       python-beaker
Requires:       python-rpm
Requires:       git
Requires:       python-yaml
Requires:       python-magic
Requires:       tar >= 1.26
Requires:       wget
Suggests:       mock-urpm
Provides:       abf
Provides:       abfcc
Provides:       abf-c-c

%description
Console client for ABF (https://abf.rosalinux.ru). 


%package -n     python-abf
Summary:        Python API for ABF (https://abf.rosalinux.ru)
Group:          System/Configuration/Packaging
Provides:       python-abf = %{version}-%{release}

%description -n python-abf
%{name} is the python API to ABF (https://abf.rosalinux.ru).
It contains a set of basic operations, done with either HTML 
parsing or through ABF json API. It also provides datamodel to
operate with.

%prep
%setup -q -n %{name}

%install
make install DESTDIR=%{buildroot}
ln -s %{_datadir}/bash-completion/abf %{buildroot}/%{_sysconfdir}/bash_completion.d/abf


%files
%dir %{py_puresitedir}/abf/console
%{py_puresitedir}/abf/console/*.py*
%{_bindir}/abf
#bash_completion files
%{_datadir}/bash-completion/abf 
%{_sysconfdir}/bash_completion.d/abf
%{_sysconfdir}/profile.d/abfcd.sh
%dir %{_sysconfdir}/abf/mock-urpm/configs/
%{_sysconfdir}/abf/mock-urpm/configs/*
%dir /var/cache/abf/
%dir /var/cache/abf/mock-urpm/
%dir /var/lib/abf/mock-urpm/src
%dir /var/lib/abf/
%dir /var/lib/abf/mock-urpm

%files -n python-abf
%dir %{py_puresitedir}/abf
%dir %{py_puresitedir}/abf/api
%{py_puresitedir}/abf/*.py*
%{py_puresitedir}/abf/api/*.py*

%changelog
* Mon Sep 29 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.16-1
+ Revision: 78b8595
- Added --save-chroot and --cached-chroot, get ready for l10n

* Tue Sep 23 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.15.2-1
+ Revision: 60bdcdc
- Updated to 1.15.2

* Wed Jul 23 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.15.1-1
+ Revision: 0e001aa
- Allow to fetch files from file store by hash

* Wed Jul 16 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.15-1
+ Revision: c401124
- Updated to 1.15 - added 'info' command

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.14.9-2
+ Revision: 508460c
- MassBuild#440: Increase release tag

* Thu Jun 05 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.14.9-1
+ Revision: e0dbfac
- Disable armv7l for cooker

* Thu May 29 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.14.8-2
+ Revision: 54daa25
- Bump release

* Wed May 28 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.14.8-1
+ Revision: c55d468
- Build ARM by default for OMV

* Tue May 27 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.14.7-1
+ Revision: 4627d15
- Use blocking for config file access

* Fri May 09 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.14.6-2
+ Revision: 70c359e
- Provide short aliases

* Mon Apr 21 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.14.6-1
+ Revision: 32db8b0
- Improve autocompletion

* Tue Apr 15 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.14.5-1
+ Revision: e2724d4
- Be smarter with default_branch

* Tue Apr 15 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.14.4-1
+ Revision: 35ef9a7
- Drop unpacked files

* Tue Apr 15 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.14.4-1
+ Revision: 0080b01
- Invalidate cache after adding/removing projects from repo

* Tue Apr 15 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.14.3-1
+ Revision: e62500c
- Added default_branch to config

* Thu Apr 10 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.14.2-1
+ Revision: 078906f
- Added possibility to create branches when creating a project

* Fri Mar 07 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.14.1-1
+ Revision: c050307
- Updated to 1.14.1

* Fri Feb 28 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.14-1
+ Revision: b7f775b
- Updated to 1.14 - implemented add/remove project to/from repo

* Thu Feb 27 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.13-1
+ Revision: 2960ae5
- Updated to 1.13 - implemented project fork and creation from srpm

* Wed Feb 26 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.12.2-1
+ Revision: 3d6469a
- Updated to 1.12.2 - fix 'abf status' behavior after recent ABF changes

* Mon Nov 11 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.12.1-1
+ Revision: 8de1f1e
- Updated to 1.12.1 - Do not create containers if auto-publish is set

* Mon Nov 11 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.12.1-1
+ Revision: abb8fc0
- Updated to 1.12.1 - Do not create containers if auto-publish is set

* Tue Sep 03 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.12-1
+ Revision: ce0e608
- LOG Version 1.12 - added ability to send pull requests

* Tue Sep 03 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.12-1
+ Revision: d256c74
- LOG Version 1.12 - added ability to send pull requests

* Fri Aug 02 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.11.3-1
+ Revision: e74e22e
- LOG Updated to 1.11.3 - create containers for new build tasks by default

* Fri Aug 02 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.11.3-1
+ Revision: 58ef8ab
- LOG Updated to 1.11.3 - create containers for new build tasks by default

* Tue Jun 25 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.11.2-1
+ Revision: a36eac5
- Updated tarball

* Tue Jun 25 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.11.2-1
+ Revision: 6c46d2e
- Updated tarball

* Tue Jun 25 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.11.2-1
+ Revision: c32cd01
- Recognize 'tests failed' status

* Tue Jun 25 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.11.2-1
+ Revision: 1487917
- Recognize 'tests failed' status

* Fri May 31 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.11.1-1
+ Revision: 5a5f005
- LOG Updated to 1.11.1

* Fri May 31 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.11.1-1
+ Revision: f396020
- LOG Updated to 1.11.1

* Wed May 29 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.11-1
+ Revision: 0863f3b
- LOG Updated to 1.11

* Wed May 29 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.11-1
+ Revision: 1974290
- LOG Updated to 1.11

* Fri May 17 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.10-1
+ Revision: e4b9623
- Added autodetection of cooker repositories, use x86 and x86_64 arches by default

* Fri May 17 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.10-1
+ Revision: 5d711b8
- Added autodetection of cooker repositories, use x86 and x86_64 arches by default

* Wed Feb 20 2013 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.9-3
+ Revision: fbf7e49
- Fix for API changes

* Mon Dec 24 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.9-2
+ Revision: f53d7b2
- Fix for ABF API changes: BuildList field build_requires was removed


